Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598172 - [abrt] crash in soundconverter-1.4.4-2.fc13: waveCalcNormal: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
[abrt] crash in soundconverter-1.4.4-2.fc13: waveCalcNormal: Process /usr/bin...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: soundconverter (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
https://developer.berlios.de/bugs/?fu...
abrt_hash:4700075f2df12cd6a8b0d7084b5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 12:33 EDT by Mikko Tiihonen
Modified: 2010-08-04 06:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 06:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.11 KB, text/plain)
2010-05-31 12:33 EDT, Mikko Tiihonen
no flags Details

  None (edit)
Description Mikko Tiihonen 2010-05-31 12:33:02 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python -tt /usr/bin/soundconverter
component: soundconverter
crash_function: waveCalcNormal
executable: /usr/bin/python
global_uuid: 4700075f2df12cd6a8b0d7084b555c0ecfedc705
kernel: 2.6.33.4-95.fc13.x86_64
package: soundconverter-1.4.4-2.fc13
rating: 3
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: It seems to crash when it finds sid (c64 music) files among my other music files.
Comment 1 Mikko Tiihonen 2010-05-31 12:33:04 EDT
Created attachment 418335 [details]
File: backtrace
Comment 2 Michael Schwendt 2010-05-31 13:00:54 EDT
What do you mean with "seems to crash"?  Did it freeze and then you killed it?

/usr/lib64/gstreamer-0.10/libgstsid.so  is not provided by Fedora, but a 3rd party repository. It might be that the GStreamer plugin needs a fix and not Soundconverter.
SID files (and several other formats, too) don't provide any sort of "song length", so they play endlessly unless something controls how long to play them.
Comment 3 Michael Schwendt 2010-06-15 05:55:55 EDT
Ping!

Note You need to log in before you can comment on or make changes to this bug.